--PJ017930- Change 02 -  07162015

USE [COWS]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

--DROP TABLE [dbo].[UCaaS_EVENT_BILLING]
--DROP TABLE [dbo].[UCaaS_EVENT_CPE_DEV]
--DROP TABLE [dbo].[UCaaS_EVENT_ODIE_DEV]
--DROP TABLE [dbo].[UCaaS_EVENT]
--DROP TABLE [dbo].[LK_UCaaS_BILL_ACTY]
--DROP TABLE [dbo].[LK_UCaaS_PROD_TYPE]
--DROP TABLE [dbo].[LK_UCaaS_ACTY_TYPE]
--DROP TABLE [dbo].[LK_UCaaS_PLAN_TYPE]

-- Table LK_UCaaS_PROD_TYPE to store the lookup data for the UCaaS Product Type section in UCaaS_EVENT table

CREATE TABLE [dbo].[LK_UCaaS_PROD_TYPE]
( 
	[UCaaS_PROD_TYPE_ID]      smallint  		NOT NULL ,
	[UCaaS_PROD_TYPE]         varchar(20)  	NOT NULL ,
	[UCaaS_PROD_TYPE_DES]     varchar(500)  	NOT NULL ,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_RECSTUSID_LK_UCaaS_PROD_TYPE_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT]          smalldatetime  	NOT NULL CONSTRAINT [DF_getdate_LK_UCaaS_PROD_TYPE_1] DEFAULT  getdate(),
	[MODFD_DT]			smalldatetime 	NULL,
	CONSTRAINT [PK_LK_UCaaS_PROD_TYPE] PRIMARY KEY  CLUSTERED ([UCaaS_PROD_TYPE_ID] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [UX01_LK_UCaaS_PROD_TYPE] UNIQUE NONCLUSTERED ([UCaaS_PROD_TYPE] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

go

ALTER TABLE [dbo].[LK_UCaaS_PROD_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_UCaaS_PROD_TYPE] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_UCaaS_PROD_TYPE] CHECK CONSTRAINT [FK01_LK_UCaaS_PROD_TYPE]
GO

ALTER TABLE [dbo].[LK_UCaaS_PROD_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_UCaaS_PROD_TYPE] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_UCaaS_PROD_TYPE] CHECK CONSTRAINT [FK02_LK_UCaaS_PROD_TYPE]
GO

ALTER TABLE [dbo].[LK_UCaaS_PROD_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_UCaaS_PROD_TYPE] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_UCaaS_PROD_TYPE] CHECK CONSTRAINT [FK03_LK_UCaaS_PROD_TYPE]
GO

-- Table LK_UCaaS_ACTY_TYPE to store the lookup data for the UCaaS Activity Type section in UCaaS_EVENT table
CREATE TABLE [dbo].[LK_UCaaS_ACTY_TYPE]
( 
	[UCaaS_ACTY_TYPE_ID]      smallint  		NOT NULL ,
	[UCaaS_ACTY_TYPE_DES]     varchar(255)  	NOT NULL ,
	[REC_STUS_ID] 		tinyint 		NOT NULL CONSTRAINT [DF_RECSTUSID_LK_UCaaS_ACTY_TYPE_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT]          smalldatetime  	NOT NULL CONSTRAINT [DF_getdate_LK_UCaaS_ACTY_TYPE_1] DEFAULT  getdate(),
	[MODFD_DT]			smalldatetime 	NULL,
	CONSTRAINT [PK_LK_UCaaS_ACTY_TYPE] PRIMARY KEY  CLUSTERED ([UCaaS_ACTY_TYPE_ID] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [UX01_LK_UCaaS_ACTY_TYPE] UNIQUE NONCLUSTERED ([UCaaS_ACTY_TYPE_DES] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
go

ALTER TABLE [dbo].[LK_UCaaS_ACTY_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_UCaaS_ACTY_TYPE] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_UCaaS_ACTY_TYPE] CHECK CONSTRAINT [FK01_LK_UCaaS_ACTY_TYPE]
GO

ALTER TABLE [dbo].[LK_UCaaS_ACTY_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_UCaaS_ACTY_TYPE] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_UCaaS_ACTY_TYPE] CHECK CONSTRAINT [FK02_LK_UCaaS_ACTY_TYPE]
GO

ALTER TABLE [dbo].[LK_UCaaS_ACTY_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_UCaaS_ACTY_TYPE] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_UCaaS_ACTY_TYPE] CHECK CONSTRAINT [FK03_LK_UCaaS_ACTY_TYPE]
GO

-- Table LK_UCaaS_PLAN_TYPE to store the lookup data for the UCaaS Plan Type in UCaaS_EVENT table
CREATE TABLE [dbo].[LK_UCaaS_PLAN_TYPE]
( 
	[UCaaS_PLAN_TYPE_ID]      smallint  		NOT NULL ,
	[UCaaS_PLAN_TYPE]         varchar(20)  	NOT NULL ,
	[UCaaS_PLAN_TYPE_DES]     varchar(500)  	NOT NULL ,
	[REC_STUS_ID] 		tinyint 		NOT NULL CONSTRAINT [DF_RECSTUSID_LK_UCaaS_PLAN_TYPE_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT]          smalldatetime  	NOT NULL CONSTRAINT [DF_getdate_LK_UCaaS_PLAN_TYPE_1] DEFAULT  getdate(),
	[MODFD_DT]			smalldatetime 	NULL,
	CONSTRAINT [PK_LK_UCaaS_PLAN_TYPE] PRIMARY KEY  CLUSTERED ([UCaaS_PLAN_TYPE_ID] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [UX01_LK_UCaaS_PLAN_TYPE] UNIQUE NONCLUSTERED ([UCaaS_PLAN_TYPE] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
go

ALTER TABLE [dbo].[LK_UCaaS_PLAN_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_UCaaS_PLAN_TYPE] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_UCaaS_PLAN_TYPE] CHECK CONSTRAINT [FK01_LK_UCaaS_PLAN_TYPE]
GO

ALTER TABLE [dbo].[LK_UCaaS_PLAN_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_UCaaS_PLAN_TYPE] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_UCaaS_PLAN_TYPE] CHECK CONSTRAINT [FK02_LK_UCaaS_PLAN_TYPE]
GO

ALTER TABLE [dbo].[LK_UCaaS_PLAN_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_UCaaS_PLAN_TYPE] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_UCaaS_PLAN_TYPE] CHECK CONSTRAINT [FK03_LK_UCaaS_PLAN_TYPE]
GO


-- Table LK_UCaaS_BILL_ACTY to store the lookup data for the UCaaS Bill Activity Type section in UCaaS_EVENT_CPE_DEV table
CREATE TABLE [dbo].[LK_UCaaS_BILL_ACTY]
( 
	[UCaaS_BILL_ACTY_ID]      smallint  		NOT NULL ,
	[UCaaS_BILL_ACTY_DES]     varchar(500)  	NOT NULL ,
	[UCaaS_BIC_TYPE]     	   varchar(20)  	NOT NULL ,
	[MRC_NRC_CD] 			[CHAR](1) 		NOT NULL,
	[UCaaS_PLAN_TYPE_ID]      smallint  		NOT NULL ,
	[REC_STUS_ID] 		tinyint 		NOT NULL CONSTRAINT [DF_RECSTUSID_LK_UCaaS_BILL_ACTY_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT]          smalldatetime  	NOT NULL CONSTRAINT [DF_getdate_LK_UCaaS_BILL_ACTY_1] DEFAULT  getdate(),
	[MODFD_DT]			smalldatetime 	NULL,
	CONSTRAINT [PK_LK_UCaaS_BILL_ACTY] PRIMARY KEY  CLUSTERED ([UCaaS_BILL_ACTY_ID] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [UX01_LK_UCaaS_BILL_ACTY] UNIQUE NONCLUSTERED ([UCaaS_BILL_ACTY_DES], [UCaaS_BIC_TYPE], [MRC_NRC_CD], [UCaaS_PLAN_TYPE_ID])
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
go

ALTER TABLE [dbo].[LK_UCaaS_BILL_ACTY]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_UCaaS_BILL_ACTY] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_UCaaS_BILL_ACTY] CHECK CONSTRAINT [FK01_LK_UCaaS_BILL_ACTY]
GO

ALTER TABLE [dbo].[LK_UCaaS_BILL_ACTY]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_UCaaS_BILL_ACTY] FOREIGN KEY([UCaaS_PLAN_TYPE_ID])
REFERENCES [dbo].[LK_UCaaS_PLAN_TYPE] ([UCaaS_PLAN_TYPE_ID])
GO

ALTER TABLE [dbo].[LK_UCaaS_BILL_ACTY] CHECK CONSTRAINT [FK02_LK_UCaaS_BILL_ACTY]
GO

ALTER TABLE [dbo].[LK_UCaaS_BILL_ACTY]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_UCaaS_BILL_ACTY] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_UCaaS_BILL_ACTY] CHECK CONSTRAINT [FK03_LK_UCaaS_BILL_ACTY]
GO

ALTER TABLE [dbo].[LK_UCaaS_BILL_ACTY]  WITH NOCHECK ADD  CONSTRAINT [FK04_LK_UCaaS_BILL_ACTY] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_UCaaS_BILL_ACTY] CHECK CONSTRAINT [FK04_LK_UCaaS_BILL_ACTY]
GO

-- Table UCaaS_EVENT to store the data from the UCaaS Event form on COWS Website
CREATE TABLE [dbo].[UCaaS_EVENT]
(
	[EVENT_ID] [int] NOT NULL,
	[EVENT_STUS_ID] [tinyint] NOT NULL,
	[EVENT_TITLE_TXT] [varbinary](max) NOT NULL,
	[H1] [dbo].[H1] NOT NULL,
	[CUST_NME] [varbinary](max) NOT NULL,
	[CHARS_ID] [varchar](20) NULL,
	[CUST_ACCT_TEAM_PDL_NME] [varchar](200) NOT NULL,
	[CUST_SOW_LOC_TXT] [nvarchar](1000) NOT NULL,
	[UCaaS_PROD_TYPE_ID] SMALLINT NOT NULL,
	[UCaaS_PLAN_TYPE_ID] SMALLINT NOT NULL,
	[UCaaS_ACTY_TYPE_ID] SMALLINT NOT NULL,
	[SHRT_DES] [varchar](2500) NULL,
	[H6] [dbo].[H6] NULL,
	[CCD] [smalldatetime] NULL,
	[SITE_ID] VARCHAR(200) NULL,
	[INSTL_SITE_POC_NME] [varbinary](max) NULL,
	[INSTL_SITE_POC_INTL_PHN_CD] [varchar](50) NULL,
	[INSTL_SITE_POC_PHN_NBR] [varbinary](max) NULL,
	[INSTL_SITE_POC_INTL_CELL_PHN_CD] [varchar](16) NULL,
	[INSTL_SITE_POC_CELL_PHN_NBR] [varbinary](max) NULL,
	[SRVC_ASSRN_POC_NME] [varbinary](max) NULL,
	[SRVC_ASSRN_POC_INTL_PHN_CD] [varchar](50) NULL,
	[SRVC_ASSRN_POC_PHN_NBR] [varbinary](max) NULL,
	[SRVC_ASSRN_POC_INTL_CELL_PHN_CD] [varchar](20) NULL,
	[SRVC_ASSRN_POC_CELL_PHN_NBR] [varbinary](max) NULL,
	[US_INTL_CD] [CHAR](1) NULL,
	[SITE_ADR] [varbinary](max) NULL,
	[FLR_BLDG_NME] [varbinary](max) NULL,
	[CTY_NME] [varbinary](max) NULL,
	[STT_PRVN_NME] [varbinary](max) NULL,
	[CTRY_RGN_NME] [varbinary](max) NULL,
	[ZIP_CD] [varbinary](max) NULL,
	[SPRINT_CPE_NCR_ID] [tinyint] NULL,
	[CPE_DSPCH_EMAIL_ADR] [varchar](200) NULL,
	[CPE_DSPCH_CMNT_TXT] [varchar](1000) NULL,
	[ESCL_CD] [bit] NOT NULL CONSTRAINT [DF_ESCL_CD_UCaaS_EVENT_1]  DEFAULT ((0)),
	[ESCL_REAS_ID] [tinyint] NULL,
	[PRIM_REQ_DT] [smalldatetime] NULL,
	[SCNDY_REQ_DT] [smalldatetime] NULL,
	[BUS_JUSTN_TXT] [varchar](1000) NULL CONSTRAINT [DF_BUS_TXT_UCaaS_EVENT_1]  DEFAULT (' '),
	[CNFRC_BRDG_ID] [tinyint] NULL,
	[CNFRC_BRDG_NBR] [varchar](50) NULL,
	[CNFRC_PIN_NBR] [varchar](20) NULL,
	[ONLINE_MEETING_ADR] [varchar](1000) NULL,
	[PUB_EMAIL_CC_TXT] [varchar](200) NULL,
	[CMPLTD_EMAIL_CC_TXT] [varchar](200) NULL,
	[REQOR_USER_ID] [int] NOT NULL,
	[REQOR_USER_CELL_PHN_NBR] [varchar](50) NULL,
	[UCaaS_DESGN_DOC] [varchar](max) NULL,
	[CMNT_TXT] VARCHAR(MAX) NULL,
	[STRT_TMST] [smalldatetime] NOT NULL,
	[END_TMST] [smalldatetime] NOT NULL,
	[EXTRA_DRTN_TME_AMT] [smallint] NOT NULL,
	[EVENT_DRTN_IN_MIN_QTY] [smallint] NOT NULL,
	[WRKFLW_STUS_ID] [tinyint] NOT NULL,
	[OLD_EVENT_STUS_ID] [tinyint] NULL,
	[FAIL_REAS_ID] SMALLINT NULL,
	[DISC_MGMT_CD] CHAR(1) NULL,
	[FULL_CUST_DISC_CD] [bit] NULL,
	[FULL_CUST_DISC_REAS_TXT] [varchar](2500) NULL,
	[MNS_PM_ID] [varchar](10) NULL,
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[MODFD_DT] [datetime] NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_UCaaS_EVENT_1]  DEFAULT (getdate()),
	[REC_STUS_ID] [tinyint] NOT NULL CONSTRAINT [DF_RECSTUSID_UCaaS_EVENT_1]  DEFAULT ((1)),	
 CONSTRAINT [PK_UCaaS_EVENT] PRIMARY KEY CLUSTERED 
(
	[EVENT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

ALTER TABLE [dbo].[UCaaS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK01_UCaaS_EVENT] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT] CHECK CONSTRAINT [FK01_UCaaS_EVENT]
GO

ALTER TABLE [dbo].[UCaaS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK02_UCaaS_EVENT] FOREIGN KEY([EVENT_STUS_ID])
REFERENCES [dbo].[LK_EVENT_STUS] ([EVENT_STUS_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT] CHECK CONSTRAINT [FK02_UCaaS_EVENT]
GO

ALTER TABLE [dbo].[UCaaS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK03_UCaaS_EVENT] FOREIGN KEY([WRKFLW_STUS_ID])
REFERENCES [dbo].[LK_WRKFLW_STUS] ([WRKFLW_STUS_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT] CHECK CONSTRAINT [FK03_UCaaS_EVENT]
GO

ALTER TABLE [dbo].[UCaaS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK04_UCaaS_EVENT] FOREIGN KEY([UCaaS_PROD_TYPE_ID])
REFERENCES [dbo].[LK_UCaaS_PROD_TYPE] ([UCaaS_PROD_TYPE_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT] CHECK CONSTRAINT [FK04_UCaaS_EVENT]
GO


ALTER TABLE [dbo].[UCaaS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK05_UCaaS_EVENT] FOREIGN KEY([UCaaS_PLAN_TYPE_ID])
REFERENCES [dbo].[LK_UCaaS_PLAN_TYPE] ([UCaaS_PLAN_TYPE_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT] CHECK CONSTRAINT [FK05_UCaaS_EVENT]
GO

ALTER TABLE [dbo].[UCaaS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK06_UCaaS_EVENT] FOREIGN KEY([UCaaS_ACTY_TYPE_ID])
REFERENCES [dbo].[LK_UCaaS_ACTY_TYPE] ([UCaaS_ACTY_TYPE_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT] CHECK CONSTRAINT [FK06_UCaaS_EVENT]
GO

ALTER TABLE [dbo].[UCaaS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK07_UCaaS_EVENT] FOREIGN KEY([SPRINT_CPE_NCR_ID])
REFERENCES [dbo].[LK_SPRINT_CPE_NCR] ([SPRINT_CPE_NCR_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT] CHECK CONSTRAINT [FK07_UCaaS_EVENT]
GO

ALTER TABLE [dbo].[UCaaS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK08_UCaaS_EVENT] FOREIGN KEY([ESCL_REAS_ID])
REFERENCES [dbo].[LK_ESCL_REAS] ([ESCL_REAS_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT] CHECK CONSTRAINT [FK08_UCaaS_EVENT]
GO

ALTER TABLE [dbo].[UCaaS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK09_UCaaS_EVENT] FOREIGN KEY([REQOR_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT] CHECK CONSTRAINT [FK09_UCaaS_EVENT]
GO

ALTER TABLE [dbo].[UCaaS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK10_UCaaS_EVENT] FOREIGN KEY([OLD_EVENT_STUS_ID])
REFERENCES [dbo].[LK_EVENT_STUS] ([EVENT_STUS_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT] CHECK CONSTRAINT [FK10_UCaaS_EVENT]
GO

ALTER TABLE [dbo].[UCaaS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK11_UCaaS_EVENT] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT] CHECK CONSTRAINT [FK11_UCaaS_EVENT]
GO

ALTER TABLE [dbo].[UCaaS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK12_UCaaS_EVENT] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT] CHECK CONSTRAINT [FK12_UCaaS_EVENT]
GO

ALTER TABLE [dbo].[UCaaS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK13_UCaaS_EVENT] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT] CHECK CONSTRAINT [FK13_UCaaS_EVENT]
GO

ALTER TABLE [dbo].[UCaaS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK14_UCaaS_EVENT] FOREIGN KEY([FAIL_REAS_ID])
REFERENCES [dbo].[LK_FAIL_REAS] ([FAIL_REAS_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT] CHECK CONSTRAINT [FK14_UCaaS_EVENT]
GO

ALTER TABLE [dbo].[UCaaS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK15_UCaaS_EVENT] FOREIGN KEY([CNFRC_BRDG_ID])
REFERENCES [dbo].[LK_MDS_BRDG_NEED_REAS] ([MDS_BRDG_NEED_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT] CHECK CONSTRAINT [FK15_UCaaS_EVENT]
GO


-- Table UCaaS_EVENT_ODIE_DEV to store the data from the ODIE Device Section under UCaaS Event Form on COWS Website
CREATE TABLE [dbo].[UCaaS_EVENT_ODIE_DEV]
(
	[UCaaS_EVENT_ODIE_DEV_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[RDSN_NBR] [varchar](50) NOT NULL,
	[RDSN_EXP_DT] [smalldatetime] NOT NULL,
	[ODIE_DEV_NME] [varchar](200) NOT NULL,
	[DEV_MODEL_ID] [smallint] NOT NULL,
	[MANF_ID] [smallint] NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_UCaaS_EVENT_ODIE_DEV_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_UCaaS_EVENT_ODIE_DEV] PRIMARY KEY CLUSTERED 
(
	[UCaaS_EVENT_ODIE_DEV_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[UCaaS_EVENT_ODIE_DEV]  WITH NOCHECK ADD  CONSTRAINT [FK01_UCaaS_EVENT_ODIE_DEV] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT_ODIE_DEV] CHECK CONSTRAINT [FK01_UCaaS_EVENT_ODIE_DEV]
GO

ALTER TABLE [dbo].[UCaaS_EVENT_ODIE_DEV]  WITH NOCHECK ADD  CONSTRAINT [FK02_UCaaS_EVENT_ODIE_DEV] FOREIGN KEY([DEV_MODEL_ID])
REFERENCES [dbo].[LK_DEV_MODEL] ([DEV_MODEL_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT_ODIE_DEV] CHECK CONSTRAINT [FK02_UCaaS_EVENT_ODIE_DEV]
GO

ALTER TABLE [dbo].[UCaaS_EVENT_ODIE_DEV]  WITH NOCHECK ADD  CONSTRAINT [FK03_UCaaS_EVENT_ODIE_DEV] FOREIGN KEY([MANF_ID])
REFERENCES [dbo].[LK_DEV_MANF] ([MANF_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT_ODIE_DEV] CHECK CONSTRAINT [FK03_UCaaS_EVENT_ODIE_DEV]
GO

/* -- Table UCaaS_EVENT_CPE_DEV to store the data from the CPE Device Section under UCaaS Event Form on COWS Website
CREATE TABLE [dbo].[UCaaS_EVENT_CPE_DEV]
(
	[UCaaS_EVENT_CPE_DEV_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[DEVICE_ID] [varchar](100) NOT NULL,
	[ASSOC_H6]	[varchar](9) NOT NULL,
	[MAINT_VNDR_PO] [varchar](255) NOT NULL,
	[REQSTN_NBR]	[varchar](255) NOT NULL,
	[ODIE_DEV_NME] [varchar](200) NOT NULL,
	[CTRCT_TYPE] [varchar](100) NOT NULL,
	[CMPLTD_CD]	BIT NOT NULL CONSTRAINT [DF_CMPLTD_CD_UCaaS_EVENT_CPE_DEV_1]  DEFAULT ((0)),
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_UCaaS_EVENT_CPE_DEV_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_UCaaS_EVENT_CPE_DEV] PRIMARY KEY CLUSTERED 
(
	[UCaaS_EVENT_CPE_DEV_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[UCaaS_EVENT_CPE_DEV]  WITH NOCHECK ADD  CONSTRAINT [FK01_UCaaS_EVENT_CPE_DEV] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT_CPE_DEV] CHECK CONSTRAINT [FK01_UCaaS_EVENT_CPE_DEV]
GO
 */

-- Table UCaaS_EVENT_BILLING to store the billing data from the Bill Section under UCaaS Event Form on COWS Website
CREATE TABLE [dbo].[UCaaS_EVENT_BILLING]
(
	[UCaaS_EVENT_BILLING_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[INC_QTY] [smallint] NOT NULL,
	[DCR_QTY] [smallint] NULL,	
	[UCaaS_BILL_ACTY_ID] [smallint] NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_UCaaS_EVENT_BILLING_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_UCaaS_EVENT_BILLING] PRIMARY KEY CLUSTERED 
(
	[UCaaS_EVENT_BILLING_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[UCaaS_EVENT_BILLING]  WITH NOCHECK ADD  CONSTRAINT [FK01_UCaaS_EVENT_BILLING] FOREIGN KEY([UCaaS_BILL_ACTY_ID])
REFERENCES [dbo].[LK_UCaaS_BILL_ACTY] ([UCaaS_BILL_ACTY_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT_BILLING] CHECK CONSTRAINT [FK01_UCaaS_EVENT_BILLING]
GO

ALTER TABLE [dbo].[UCaaS_EVENT_BILLING]  WITH NOCHECK ADD  CONSTRAINT [FK02_UCaaS_EVENT_BILLING] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[UCaaS_EVENT_BILLING] CHECK CONSTRAINT [FK02_UCaaS_EVENT_BILLING]
GO


/* -- Table UCaaS_EVENT_DEV_CMPLT to store the data odie device name and their completion under UCaaS Event Form on COWS Website
CREATE TABLE [dbo].[UCaaS_EVENT_DEV_CMPLT]
(
	[UCaaS_EVENT_DEV_CMPLT_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[ODIE_DEV_NME] [varchar](200) NOT NULL,
	[H6]	[varchar](9) NULL,
	[CMPLTD_CD]	BIT NOT NULL CONSTRAINT [DF_UCaaS_EVENT_DEV_CMPLT_CMPLTD_CD_1]  DEFAULT ((0)),
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_UCaaS_EVENT_DEV_CMPLT_getdate_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_UCaaS_EVENT_DEV_CMPLT] PRIMARY KEY CLUSTERED 
(
	[UCaaS_EVENT_DEV_CMPLT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[UCaaS_EVENT_DEV_CMPLT]  WITH NOCHECK ADD  CONSTRAINT [FK01_UCaaS_EVENT_DEV_CMPLT] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO */

--
SET ANSI_NULLS OFF
GO
SET QUOTED_IDENTIFIER OFF
GO
--use cows
--go

--ALTER TABLE dbo.UCaaS_EVENT_BILLING
--DROP COLUMN [QTY]
--GO

--ALTER TABLE dbo.UCaaS_EVENT_BILLING
--ADD [INC_QTY] [smallint] NULL
--GO

--UPDATE dbo.UCaaS_EVENT_BILLING SET [INC_QTY] = 0

--ALTER TABLE dbo.UCaaS_EVENT_BILLING
--ALTER COLUMN [INC_QTY] [smallint] NOT NULL
--GO

--ALTER TABLE dbo.UCaaS_EVENT_BILLING
--ADD [DCR_QTY] [smallint] NULL
--
/*
ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [SHRT_DES] [varchar](2500) NULL
GO
ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [H6] [dbo].[H6] NULL
GO
ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [CCD] [smalldatetime] NULL
GO
ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [CCD] [smalldatetime] NULL
GO
ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [SITE_ID] [varchar](200) NULL
GO
ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [INSTL_SITE_POC_NME] [varbinary](max) NULL
GO
ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [INSTL_SITE_POC_PHN_NBR] [varbinary](max) NULL
GO
ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [SRVC_ASSRN_POC_NME] [varbinary](max) NULL
GO
ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [SRVC_ASSRN_POC_PHN_NBR] [varbinary](max) NULL
GO
ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [US_INTL_CD] [char](1) NULL
GO
ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [SITE_ADR] [varbinary](max) NULL
GO
ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [FLR_BLDG_NME] [varbinary](max) NULL
GO
ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [CTY_NME] [varbinary](max) NULL
GO
ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [STT_PRVN_NME] [varbinary](max) NULL
GO
ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [CTRY_RGN_NME] [varbinary](max) NULL
GO
ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [ZIP_CD] [varbinary](max) NULL
GO

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [SHRT_DES] [varchar](2500) NULL

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [H6] [dbo].[H6] NULL

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [CCD] [smalldatetime] NULL

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [SITE_ID] VARCHAR(200) NULL

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [SRVC_ASSRN_POC_PHN_NBR] [varbinary](max) NULL

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [INSTL_SITE_POC_CELL_PHN_NBR] [varbinary](max) NULL

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [INSTL_SITE_POC_PHN_NBR] [varbinary](max) NULL

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [INSTL_SITE_POC_NME] [varbinary](max) NULL

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [US_INTL_CD] [CHAR](1) NULL

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [SITE_ADR] [varbinary](max) NULL

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [FLR_BLDG_NME] [varbinary](max) NULL

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [CTY_NME] [varbinary](max) NULL

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [STT_PRVN_NME] [varbinary](max) NULL

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [CTRY_RGN_NME] [varbinary](max) NULL

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [ZIP_CD] [varbinary](max) NULL

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [SPRINT_CPE_NCR_ID] [tinyint] NULL

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [CNFRC_BRDG_ID] [tinyint] NULL

*/